package com.ibiz.util.valuerule;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 属性值规则单项条件（VRSingleCondition）
 *
 * @param <T>
 */
@Data
public abstract class VRSingleCondition<T> extends VRCondition<T> {
    public VRSingleCondition(String name, Boolean isNotMode, String ruleInfo, T value) {
        super(name, isNotMode, ruleInfo, value);
    }
}
